%define snapshot 20030201
%define libversion 0.0.6
Name: openal
Version: 1.0
Release: 1.%{snapshot}
Group: System Environment/Libraries
Summary: OpenAL, the Open Audio Library.
License: GPL 
Source0: %{name}-%{snapshot}.tar.gz
Url: http://www.openal.org/home
BuildRoot: %{_tmppath}/%{name}-buildroot
Packager: Brian Wright <bdw at briandwright dot com>

%description
OpenAL, the Open Audio Library, is a joint effort to create an open, 
vendor-neutral, cross-platform API for interactive, primarily spatialized 
audio. OpenAL's primary audience are application developers and desktop users 
that rely on portable standards like OpenGL, for games and other multimedia 
applications.

%package devel
Summary: Development files for the OpenAL library.
Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}
%description devel
Include files, statically linked library and collection of documentation for 
the OpenAL library.

%prep
%setup -q -n %{name}

%build
if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
  if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

cd linux
aclocal
./autogen.sh
./configure --enable-optimization
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
make -j $NRPROC

%install
rm -rf ${RPM_BUILD_ROOT}/*
# directories
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/include
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}-%{release}
#-%{version}

# library itself
#cp linux/src/libopenal.so* ${RPM_BUILD_ROOT}/usr/lib/
cp linux/src/libopenal.so.%{libversion} ${RPM_BUILD_ROOT}/usr/lib/
# static library and headers
cp linux/src/libopenal.a ${RPM_BUILD_ROOT}/usr/lib/
cp -r include/AL ${RPM_BUILD_ROOT}/usr/include/
cp -r linux/include/AL ${RPM_BUILD_ROOT}/usr/include/

# link .so.xxx to .so.0
#ln -s /usr/lib/libopenal.so* ${RPM_BUILD_ROOT}/usr/lib/libopenal.so
#ln -s /usr/lib/libopenal.so.0.0.6 /var/tmp/openal-buildroot/usr/lib/libopenal.so
cd ${RPM_BUILD_ROOT}/usr/lib
ln -s libopenal.so.%{libversion} libopenal.so.0
cd ${RPM_BUILD_DIR}/%{name}
#ln -s libopenal.so.%{libversion} libopenal.so.0

echo "%attr (644,root,root) /usr/lib/libopenal.so.%{libversion}" > files.list
echo "/usr/lib/libopenal.so.0" >> files.list

# all other rest are included into -devel package
for dir in `find ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}-%{release}\
  ${RPM_BUILD_ROOT}/usr/include/AL -type d | grep -v CVS`;
do
  echo "%attr (755,root,root) %dir ${dir##*$RPM_BUILD_ROOT}" >> files-devel.list
done
for file in `find ${RPM_BUILD_ROOT}/usr/include/AL ${RPM_BUILD_ROOT}/usr/lib \
  -type f ! -name \*.so.\*| grep -vE Makefile\|cvsignore\|CVS`;
do
  echo "%attr (644,root,root) ${file##*$RPM_BUILD_ROOT}" >> files-devel.list
done
#echo "%attr (644,root,root) /usr/lib/libopenal.so" >> files-devel.list

# doc
for doc in CHANGES COPYING CREDITS README;
do
  cp $doc ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}-%{release}
  echo "%doc /usr/share/doc/%{name}-%{version}-%{release}/$doc" >> files-devel.list
done  
cp -a docs ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}-%{release}/
for file in `find ${RPM_BUILD_ROOT}/usr/share/doc/%{name}-%{version}-%{release}/docs \
  -type f | grep -vE cvsignore\|CVS`;
do
  echo "%doc ${file##*$RPM_BUILD_ROOT}" >> files-devel.list
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files.list
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}-%{release}/docs/*
%{_docdir}/%{name}-%{version}-%{release}/docs/.cvsignore
 
%files devel -f files-devel.list
%defattr(-,root,root,-)
/usr/include/AL/CVS/*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%changelog
* Tue Jul 29 2003 Brian Wright <bdw at briandwright dot com>
- Rebuild and packaged for RedHat 9
- Fixed link problem, libopenal.so.0 was not packaged
- Enabled optimization for better performance

* Mon Mar 03 2003 Violet Basina <vioelt@asplinux.ru>
- update to 1.0

* Wed Jul 24 2002 Leon Kanter <leon@asplinux.ru>
- fix permissions

* Fri Jun 28 2002 kirill@asplinux.ru
- packaged for ASPLinux
